Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 597407 - ypbind[8997]: Error adding match, org.freedesktop.DBus.Error.LimitsExceeded
ypbind[8997]: Error adding match, org.freedesktop.DBus.Error.LimitsExceeded
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ypbind (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Karel Klíč
Karel Volný
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-28 16:40 EDT by Jeff Moyer
Modified: 2010-11-10 17:00 EST (History)
3 users (show)

See Also:
Fixed In Version: ypbind-1.20.4-29.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 17:00:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch (2.65 KB, patch)
2010-06-22 14:31 EDT, Karel Klíč
no flags Details | Diff

  None (edit)
Description Jeff Moyer 2010-05-28 16:40:58 EDT
Description of problem:
I get a ton of these messages in my log file:

May 28 16:37:26 solid ypbind[8997]: Error adding match, org.freedesktop.DBus.Error.LimitsExceeded: Connection ":1.2" is not allowed to add more match rules (increase limits in configuration file if required)

They seem to continue on ad-infinitum.  I had configured the system to use nis for user information:

[root@solid ~]# service ypbind status
ypbind (pid  8997) is running...
[root@solid ~]# ypwhich
ypwhich: Can't communicate with ypbind

dbus-monitor doesn't show any activity, though I'm not sure I'm using it properly.

Let me know what other information might be pertinent.

Thanks.

Version-Release number of selected component (if applicable):

This is a 6.0 build from 2010-0523

ypbind-1.20.4-23.el6.x86_64
dbus-1.2.24-1.el6.x86_64

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 2 Karel Klíč 2010-06-01 10:12:25 EDT
Hi,

please run ypbind with parameter '-debug' and attach the output here. The parameter causes ypbind to output debug and error messages to standard output.

You might need to run some commands before running ypbind manually.

service ypbind stop
setsebool allow_ypbind=1
domainname yournisdomain.com
ypbind -debug
Comment 3 Jeff Moyer 2010-06-01 10:36:38 EDT
OK, I am not using NetworkManager to configure my ethernet devices.  ypbind -debug shows:

# ypbind -debug
2623: parsing config file
2623: Trying entry: domain redhat.com server ns1.bos.redhat.com
2623: parsed domain 'redhat.com' server 'ns1.bos.redhat.com'
2623: add_server() domain: redhat.com, host: ns1.bos.redhat.com, slot: 0
2623: [Welcome to ypbind-mt, version 1.20.4]

2623: ping interval is 20 seconds

2625: NetworkManager is running.

2625: No network is available now
2625: interface: org.freedesktop.DBus, object path: /org/freedesktop/DBus, method: NameAcquired

# ifconfig eth0
eth0      Link encap:Ethernet  HWaddr 00:26:55:40:B5:D3  
          inet addr:10.16.42.194  Bcast:10.16.47.255  Mask:255.255.248.0
          inet6 addr: fe80::226:55ff:fe40:b5d3/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:2923 errors:0 dropped:0 overruns:0 frame:0
          TX packets:587 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000 
          RX bytes:273307 (266.9 KiB)  TX bytes:134772 (131.6 KiB)
          Interrupt:17 

For now, I am not getting the messages logged in /var/log/messages.  I am not sure how long ypbind was running before those messages were generated last time, so I'll let this run for a while and report back.
Comment 4 RHEL Product and Program Management 2010-06-07 11:55:09 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 5 Karel Klíč 2010-06-22 13:51:45 EDT
Now I can reproduce this error.

First, start ypbind with NetworkManager running, so it gets connected to NM over DBus.

Second, restart DBus by calling
  $ service messagebus restart

It shuts the NetworkManager down.

ypbind then checks every second if NM is running again. It adds matches in every check, and never free them. After some time the messages start to appear:

5554: Error adding match, org.freedesktop.DBus.Error.LimitsExceeded: Connection ":1.0" is not allowed to add more match rules (increase limits in configuration file if required)
Comment 6 Karel Klíč 2010-06-22 14:31:05 EDT
Created attachment 426043 [details]
Proposed patch

Run tested.
Comment 8 Karel Volný 2010-10-04 10:28:55 EDT
with ypbind-1.20.4-23.el6, after messagebus restart it starts saying than NM is not running:

13248: Network is available now
13248: Switch to online mode
13248: Going online, reloading config file.
13248: parsing config file
13248: No entry found.
13248: interface: org.freedesktop.DBus, object path: /org/freedesktop/DBus, method: NameAcquired
13248: Lost connection to D-Bus

13248: NetworkManager is not running.

13248: Reconnect failed
13248: interface: org.freedesktop.DBus, object path: /org/freedesktop/DBus, method: NameAcquired
13248: NetworkManager is not running.

and after 256 iterations it starts saying:

13248: Reconnect failed
13248: Error adding match, org.freedesktop.DBus.Error.LimitsExceeded: Connection ":1.0" is not allowed to add more match rules (increase limits in configuration file if require
d)
13248: No connection possible, assume online mode


the new version ypbind-1.20.4-29.el6 does not exceed the number (tried waiting for 312 iterations)

QA note: not suitable for RHTS as it can kill network connection
Comment 9 releng-rhel@redhat.com 2010-11-10 17:00:17 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.